# Wikimedia OAuth2 Django Demo
A minimal prototype showing how to authenticate wikimedia 
users with OAuth2    




## Quick Start
1. Create virtual environment
```bash
virtualenv --python=python3.9 venv
```
2. Install requirements
```bash
pip install -r requirements.txt
```
3. Run the server
```bash
python manage.py migrate
python manage.py runserver
```

## Behind the scene
The OAuth2 configuration is located at settings.py

The default session backend is sqlite3.

## Credits to songrgg

The base for this prototype was done by songrgg, who published
his code on Microsoft's Github. His Blog Post you can find here: 
https://songrgg.github.io/programming/django-oauth-client-setup


